Package: org.apache.groovy.util

## [Java] Class ReversedList<E>

- org.apache.groovy.util.ReversedList

- All Implemented Interfaces and Traits:
    RandomAccess, Serializable

      public class ReversedList<E>
      extends AbstractList
      implements RandomAccess, Serializable

  Represents view of reversed list

  Since:
    4.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReversedList(List<E> list)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public E` | `get(int index)`
    `` | `public int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractList` | `add, add, addAll, addAll, clear, contains, containsAll, equals, forEach, get, getClass, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, notify, notifyAll, parallelStream, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, stream, subList, toArray, toArray, toArray, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ReversedList(List<E> list)

  - ### Method Detail

    - #### @Override
      public E get(int index)

    - #### @Override
      public int size()